Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ExplicitCallToMethodAstVisitor

- groovy.org.codenarc.rule.groovyism.ExplicitCallToMethodAstVisitor

- Parent Visitor for "ExplicitCallToX" Rules.

  Authors:
    Hamlet D'Arcy
    René Scheibe

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `methodName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ExplicitCallToMethodAstVisitor (String methodName)` @param methodName The method name to watch for.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getViolationMessage(org.codehaus.groovy.ast.expr.MethodCallExpression exp)`
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)`

- - ### Property Detail

    - #### final String methodName

  - ### Constructor Detail

    - #### protected ExplicitCallToMethodAstVisitor(String methodName)

      Parameters:
        `methodName` - The method name to watch for.

  - ### Method Detail

    - #### protected String getViolationMessage(org.codehaus.groovy.ast.expr.MethodCallExpression exp)

    - #### void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)